import { type Config } from '@pnpm/config';
import { type FetchFromRegistry } from '@pnpm/fetch';
import { type PrepareExecutionEnvOptions, type PrepareExecutionEnvResult } from '@pnpm/types';
export type NvmNodeCommandOptions = Pick<Config, 'bin' | 'global' | 'fetchRetries' | 'fetchRetryFactor' | 'fetchRetryMaxtimeout' | 'fetchRetryMintimeout' | 'fetchTimeout' | 'userAgent' | 'ca' | 'cert' | 'httpProxy' | 'httpsProxy' | 'key' | 'localAddress' | 'noProxy' | 'rawConfig' | 'strictSsl' | 'storeDir' | 'useNodeVersion' | 'pnpmHomeDir'> & Partial<Pick<Config, 'configDir' | 'cliOptions' | 'sslConfigs'>> & {
    remote?: boolean;
};
export declare function prepareExecutionEnv(config: NvmNodeCommandOptions, { extraBinPaths, executionEnv }: PrepareExecutionEnvOptions): Promise<PrepareExecutionEnvResult>;
export declare function getNodeBinDir(opts: NvmNodeCommandOptions): Promise<string>;
export declare function getNodeVersionsBaseDir(pnpmHomeDir: string): string;
export declare function getNodeDir(fetch: FetchFromRegistry, opts: NvmNodeCommandOptions & {
    useNodeVersion: string;
    nodeMirrorBaseUrl: string;
}): Promise<string>;
